# norootforbuild
%define pkg_name    rar
%define pkg_version 3.0.2
%define php_version %(php-config --version 2>/dev/null)
#
Name:		php5-rar
Version:	%{pkg_version}
Release:	4.2
#
License:	PHP
Group:		Productivity/Networking/Web/Servers
#
BuildRoot:	%{_tmppath}/%{pkg_name}-%{version}-build
BuildRequires:	php5-devel gcc gcc-c++

Requires:	php5 = %{php_version}
#
URL:		http://pecl.php.net/
Source:		http://pecl.php.net/package/%{pkg_name}/%{pkg_name}-%{version}.tgz
Patch0:		rar-config-m4_compiler.patch
Summary:	PHP extension for reading Rar archives using bundled unRAR library

%description
PHP extension for reading Rar archives using bundled unRAR library.

Authors:
---------

		Antony Dovgal 

%debug_package

%prep
%setup -n %{pkg_name}-%{version}
%patch0
%{__mkdir} %{name}

%build
/usr/bin/phpize
pushd %{name}

CFLAGS="%{optflags} -fno-strict-aliasing"
CXXFLAGS="%{optflags} -fno-strict-aliasing"
%if 0%{?suse_version} > 1000
CFLAGS="$CFLAGS -fstack-protector"
CXXFLAGS="$CXXFLAGS -fstack-protector"
%endif

export CFLAGS
export CXXFLAGS

../configure --enable-rar --with-libdir=%{_lib}

%{__make} %{?jobs:-j%jobs}
popd

%install
%makeinstall -C %{name} INSTALL_ROOT=%{buildroot}
%{__mkdir} -p %{buildroot}%{_sysconfdir}/php5/conf.d
echo "; comment out next line to disable rar extension in php" > %{buildroot}%{_sysconfdir}/php5/conf.d/rar.ini
echo "extension = rar.so" >> %{buildroot}%{_sysconfdir}/php5/conf.d/rar.ini


%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/php5/extensions/rar.so
%config(noreplace) %{_sysconfdir}/php5/conf.d/rar.ini
%doc CREDITS

%changelog
* Tue Oct 15 2013 cs@linux-administrator.com
- update to version 3.0.2
* Sat Jun 18 2011 cs@linux-administrator.com
- update to version 3.0.0
